<template class="w-4/4">
    <div class="p-5">
        <div class="w-1/2 m-auto">
            <label class="block text-gray-700 text-sm font-bold mb-2">
                Enter a text
            </label>
            <div class="flex flex-row">
                <input type="text"
                       placeholder="Enter a text..."
                       class="shadow appearance-none border rounded w-full py-2 px-3 text-gray-700 leading-tight focus:outline-none focus:shadow-outline"
                        v-model="word"
                />
                <button class="bg-teal-600 hover:bg-teal-700 text-white font-bold py-1 px-2 border-b-4 border-teal-700 hover:border-teal-600 rounded"
                        @click="transform"
                >
                    Transform
                </button>
            </div>
            <div v-if="wordTransformed.length" class="bg-blue-200 mt-4 p-4 animated bounceInUp">
                <p  class="text-gray-700 font-bold text-3xl" >{{wordTransformed}}</p>
            </div>
        </div>
    </div>
</template>

<script>
    export default {
        name: "CapitalLeter",
        data: ()=>{
            return {
                word:'',
                wordTransformed:''
            }
        },
        methods:{
            transform(){
                if(this.word !== '' && this.word.trim().length && /^[¿!]?[a-zA-Z][a-zA-Z\s]*[.?!]*?$/.test(this.word)) {
                    this.wordTransformed = this.word.charAt(0).toUpperCase()+this.word.slice(1).toLowerCase()
                    setTimeout(()=>{
                        this.wordTransformed = ''
                    },3000)
                }else{
                    this.$alertify.error('Enter a text / valid text 🤮')
                }
            }
        }
    }
</script>

<style scoped>

</style>